package com.contabilidad.EntConta;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "datos_generales_contrato")
public class DatosGeneralesContrato implements Serializable {
    @Id
    @Column(name = "nombrep")
    private String nomprep;
    @Column(name = "lugar_pago")
    private String lugarPago;
    @Column(name = "forma_pago")
    private String formaPago;
    @Column(name = "ciudad_contrato")
    private String ciudadContrato;
    @Column(name = "dias_reclamo")
    private String diasReclamo;
    @Column(name = "apellidop")
    private String apellidop;
    @Column(name = "estado_civilp")
    private String estadoCivilp;
    @Column(name = "profesionp")
    private String profesionp;
    @Column(name = "domiciliop")
    private String domiciliop;
    @Column(name = "residenciap")
    private String residenciap;
    @Column(name = "nacionalidadp")
    private String nacionalidadp;
    @Column(name = "duip")
    private String duip;
    @Column(name = "dui_expedicion")
    private String duiExpedicion;
    @Column(name = "dui_fecha")
    private Date duiFecha;
    @Column(name = "otros_datos_identificacionp")
    private String otrosDatosIdentificacion;
    @Column(name = "fecha_nacimientop")
    private Date fechaNacimientop;

    public String getNomprep() {
        return nomprep;
    }

    public void setNomprep(String nomprep) {
        this.nomprep = nomprep;
    }

    public String getLugarPago() {
        return lugarPago;
    }

    public void setLugarPago(String lugarPago) {
        this.lugarPago = lugarPago;
    }

    public String getFormaPago() {
        return formaPago;
    }

    public void setFormaPago(String formaPago) {
        this.formaPago = formaPago;
    }

    public String getCiudadContrato() {
        return ciudadContrato;
    }

    public void setCiudadContrato(String ciudadContrato) {
        this.ciudadContrato = ciudadContrato;
    }

    public String getDiasReclamo() {
        return diasReclamo;
    }

    public void setDiasReclamo(String diasReclamo) {
        this.diasReclamo = diasReclamo;
    }

    public String getApellidop() {
        return apellidop;
    }

    public void setApellidop(String apellidop) {
        this.apellidop = apellidop;
    }

    public String getEstadoCivilp() {
        return estadoCivilp;
    }

    public void setEstadoCivilp(String estadoCivilp) {
        this.estadoCivilp = estadoCivilp;
    }

    public String getProfesionp() {
        return profesionp;
    }

    public void setProfesionp(String profesionp) {
        this.profesionp = profesionp;
    }

    public String getDomiciliop() {
        return domiciliop;
    }

    public void setDomiciliop(String domiciliop) {
        this.domiciliop = domiciliop;
    }

    public String getResidenciap() {
        return residenciap;
    }

    public void setResidenciap(String residenciap) {
        this.residenciap = residenciap;
    }

    public String getNacionalidadp() {
        return nacionalidadp;
    }

    public void setNacionalidadp(String nacionalidadp) {
        this.nacionalidadp = nacionalidadp;
    }

    public String getDuip() {
        return duip;
    }

    public void setDuip(String duip) {
        this.duip = duip;
    }

    public String getDuiExpedicion() {
        return duiExpedicion;
    }

    public void setDuiExpedicion(String duiExpedicion) {
        this.duiExpedicion = duiExpedicion;
    }

    public Date getDuiFecha() {
        return duiFecha;
    }

    public void setDuiFecha(Date duiFecha) {
        this.duiFecha = duiFecha;
    }

    public String getOtrosDatosIdentificacion() {
        return otrosDatosIdentificacion;
    }

    public void setOtrosDatosIdentificacion(String otrosDatosIdentificacion) {
        this.otrosDatosIdentificacion = otrosDatosIdentificacion;
    }

    public Date getFechaNacimientop() {
        return fechaNacimientop;
    }

    public void setFechaNacimientop(Date fechaNacimientop) {
        this.fechaNacimientop = fechaNacimientop;
    }

    public DatosGeneralesContrato() {
    }
}
